Get the pipeline list of the repository
GET/api/v8/repos/:owner/:repo/actions/workflows
Request
Path Parameters
owner stringrequired
Repository space address (organization or individual's address path)
repo stringrequired
Repository path (path)
Query Parameters
access_token string
User authorization code
per_page integer
The number of items per page, with a maximum of 100. The default is 20.
page integer
Current page number: defaults to 1
Responses
- 200
Response Headers
- application/json
- Schema
- Example (auto)
Schema
- Array [
- ]
total_countintegerrequired
Total quantity
workflows object[]required
workflow_idstringrequired
Pipeline ID
file_pathstringrequired
Pipeline Configuration File
namestringrequired
Line Name
statestringrequired
Pipeline State
{
"total_count": 0,
"workflows": [
{
"workflow_id": "string",
"file_path": "string",
"name": "string",
"state": "string"
}
]
}